#include <stdio.h>
#include "midas.h"

#include "run_info.h"

RUN_INFO run_info;

RUN_INFO_STR(run_info_str);

void run_info_changed(HNDLE hDB, HNDLE hKey, void *info)
{
  printf("Run number is %d\n", run_info.run_number);
}

main()
{
HNDLE hKey;
int   status;

  /* connect to experiment */
  cm_connect_experiment("", "", "ODB Test", NULL);

  /* create/correct /runinfo structure */
  db_create_record(1, 0, "/Runinfo", strcomb(run_info_str));

  /* open hot link to runinfo number */
  db_find_key(1, 0, "/runinfo", &hKey);
  db_open_record(1, hKey, &run_info, sizeof(run_info), 
                 MODE_READ, run_info_changed, NULL);

  /* enter idle loop */
  do
    {
    status = cm_yield(1000);
    } while (status != RPC_SHUTDOWN);

  cm_disconnect_experiment();
  return 1;
}
